<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCalledPartyTracingReq StructType
 * @subpackage Structs
 */
class AddCalledPartyTracingReq extends APIRequest
{
    /**
     * The calledPartyTracing
     * @var XCalledPartyTracing
     */
    public $calledPartyTracing;
    /**
     * Constructor method for AddCalledPartyTracingReq
     * @uses AddCalledPartyTracingReq::setCalledPartyTracing()
     * @param XCalledPartyTracing $calledPartyTracing
     */
    public function __construct(XCalledPartyTracing $calledPartyTracing = null)
    {
        $this
            ->setCalledPartyTracing($calledPartyTracing);
    }
    /**
     * Get calledPartyTracing value
     * @return XCalledPartyTracing|null
     */
    public function getCalledPartyTracing()
    {
        return $this->calledPartyTracing;
    }
    /**
     * Set calledPartyTracing value
     * @param XCalledPartyTracing $calledPartyTracing
     * @return AddCalledPartyTracingReq
     */
    public function setCalledPartyTracing(XCalledPartyTracing $calledPartyTracing = null)
    {
        $this->calledPartyTracing = $calledPartyTracing;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCalledPartyTracingReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
